libzypp 17.37.10

zypp::base::SetRelationMixin< Derived > Class Template Reference

Provide set relation methods based on Derived::setRelationMixinCompare A class using this mixin must provide: More...

`#include <zypp/base/SetRelationMixin.h>`

## Public Member Functions
SetCompare | compare (const Derived &trg) const
| Compare sets.
SetCompare | compare (const SetRelationMixin< Derived > &trg) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
bool | compare (const Derived &trg, SetCompare cmp) const
| Compare sets and match against SetCompare.
bool | compare (const SetRelationMixin< Derived > &trg, SetCompare cmp) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
bool | compare (const Derived &trg, SetRelation rel) const
| Compare sets and match against SetRelation.
bool | compare (const SetRelationMixin< Derived > &trg, SetRelation rel) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## Protected Member Functions
| SetRelationMixin ()
| DEFAULT_COPYABLE (SetRelationMixin)
| DEFAULT_MOVABLE (SetRelationMixin)
| ~SetRelationMixin ()

## Private Member Functions
const Derived & | derived () const
| Access to sublass Derived.

## Related Symbols
(Note that these are not member symbols.)
template<class Derived>
SetCompare | compare (const SetRelationMixin< Derived > &src, const SetRelationMixin< Derived > &trg)
| Compare sets.
template<class Derived>
bool | compare (const SetRelationMixin< Derived > &src, const SetRelationMixin< Derived > &trg, SetCompare cmp)
| Compare sets and match against SetCompare.
template<class Derived>
bool | compare (const SetRelationMixin< Derived > &src, const SetRelationMixin< Derived > &trg, SetRelation rel)
| Compare sets and match against SetRelation.
template<class Derived>
bool | operator== (const SetRelationMixin< Derived > &src, const SetRelationMixin< Derived > &trg)
| Equal.
template<class Derived>
bool | operator!= (const SetRelationMixin< Derived > &src, const SetRelationMixin< Derived > &trg)
| Unequal.

## Detailed Description

template<class Derived>
class zypp::base::SetRelationMixin< Derived >

Provide set relation methods based on Derived::setRelationMixinCompare A class using this mixin must provide:

SetCompare setRelationMixinCompare( const Derived & rhs ) const;

See also
  SETRELATIONMIXIN_DEFINE_COMPARE_BETWEEN

Definition at line 144 of file SetRelationMixin.h.

## Constructor & Destructor Documentation

## ◆ SetRelationMixin()

template<class Derived>

zypp::base::SetRelationMixin< Derived >::SetRelationMixin | ( |  | ) |
| inline protected

Definition at line 169 of file SetRelationMixin.h.

## ◆ ~SetRelationMixin()

template<class Derived>

zypp::base::SetRelationMixin< Derived >::~SetRelationMixin | ( |  | ) |
| inline protected

Definition at line 172 of file SetRelationMixin.h.

## Member Function Documentation

## ◆ compare() [1/6]

template<class Derived>

SetCompare zypp::base::SetRelationMixin< Derived >::compare | ( | const Derived & | trg | ) | const
| inline

Compare sets.

Definition at line 148 of file SetRelationMixin.h.

## ◆ compare() [2/6]

template<class Derived>

SetCompare zypp::base::SetRelationMixin< Derived >::compare | ( | const SetRelationMixin< Derived > & | trg | ) | const
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 151 of file SetRelationMixin.h.

## ◆ compare() [3/6]

template<class Derived>

bool zypp::base::SetRelationMixin< Derived >::compare | ( | const Derived & | trg,
|  | SetCompare | cmp ) const
| inline

Compare sets and match against SetCompare.

Definition at line 155 of file SetRelationMixin.h.

## ◆ compare() [4/6]

template<class Derived>

bool zypp::base::SetRelationMixin< Derived >::compare | ( | const SetRelationMixin< Derived > & | trg,
|  | SetCompare | cmp ) const
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 158 of file SetRelationMixin.h.

## ◆ compare() [5/6]

template<class Derived>

bool zypp::base::SetRelationMixin< Derived >::compare | ( | const Derived & | trg,
|  | SetRelation | rel ) const
| inline

Compare sets and match against SetRelation.

Definition at line 162 of file SetRelationMixin.h.

## ◆ compare() [6/6]

template<class Derived>

bool zypp::base::SetRelationMixin< Derived >::compare | ( | const SetRelationMixin< Derived > & | trg,
|  | SetRelation | rel ) const
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 165 of file SetRelationMixin.h.

## ◆ DEFAULT_COPYABLE()

template<class Derived>

zypp::base::SetRelationMixin< Derived >::DEFAULT_COPYABLE | ( | SetRelationMixin< Derived > |  | ) |
| protected

## ◆ DEFAULT_MOVABLE()

template<class Derived>

zypp::base::SetRelationMixin< Derived >::DEFAULT_MOVABLE | ( | SetRelationMixin< Derived > |  | ) |
| protected

## ◆ derived()

template<class Derived>

const Derived & zypp::base::SetRelationMixin< Derived >::derived | ( |  | ) | const
| inline private

Access to sublass Derived.

Definition at line 176 of file SetRelationMixin.h.

## Friends And Related Symbol Documentation

## ◆ compare() [1/3]

template<class Derived>

SetCompare compare | ( | const SetRelationMixin< Derived > & | src,
|  | const SetRelationMixin< Derived > & | trg )
| related

Compare sets.

Definition at line 182 of file SetRelationMixin.h.

## ◆ compare() [2/3]

template<class Derived>

bool compare | ( | const SetRelationMixin< Derived > & | src,
|  | const SetRelationMixin< Derived > & | trg,
|  | SetCompare | cmp )
| related

Compare sets and match against SetCompare.

Definition at line 187 of file SetRelationMixin.h.

## ◆ compare() [3/3]

template<class Derived>

bool compare | ( | const SetRelationMixin< Derived > & | src,
|  | const SetRelationMixin< Derived > & | trg,
|  | SetRelation | rel )
| related

Compare sets and match against SetRelation.

Definition at line 192 of file SetRelationMixin.h.

## ◆ operator==()

template<class Derived>

bool operator== | ( | const SetRelationMixin< Derived > & | src,
|  | const SetRelationMixin< Derived > & | trg )
| related

Equal.

Definition at line 197 of file SetRelationMixin.h.

## ◆ operator!=()

template<class Derived>

bool operator!= | ( | const SetRelationMixin< Derived > & | src,
|  | const SetRelationMixin< Derived > & | trg )
| related

Unequal.

Definition at line 202 of file SetRelationMixin.h.

The documentation for this class was generated from the following file:

- zypp/base/SetRelationMixin.h